Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
List of all members
PgsqlSqlUtil::PgsqlNumericColumn Class Reference

represents a PostgreSQL-specific numeric column More...

Inheritance diagram for PgsqlSqlUtil::PgsqlNumericColumn:
[legend]

## Additional Inherited Members
Public Member Functions inherited from PgsqlSqlUtil::PgsqlColumn
list | getCreateSql (AbstractTable t)
| returns a list of sql strings that can be used to add the column to an existing table More...
list | getModifySqlImpl (AbstractTable t, AbstractColumn col, *hash opt)
| returns a list of sql strings that can be used to modify the column to the new definition; if the column definitions are identical then an empty list is returned More...
string | getRenameSql (AbstractTable t, string new_name)
| returns a string that can be used to rename the column More...
Public Attributes inherited from PgsqlSqlUtil::PgsqlColumn
int | byte_size
| byte size of the column

## Detailed Description

represents a PostgreSQL-specific numeric column